<template>
  <require from="./sketch-pad.css"></require>
  <require from="../sketch-canvas/sketch-canvas"></require>
  <require from="../ink-recognition/ink-recognition-list/ink-recognition-list"></require>
  <require from="../ink-recognition/ink-recognition-form/ink-recognition-form"></require>

  <div class="flex-row">
    <div class="flex-item">
      <div class="canvas-warpper">
        <sketch-canvas canvas-id="canvas-123" stroke-color="black" stroke-size="10" simplify-paths.bind="false"
          smooth-edges.bind="false" on-stroke-finished.delegate="onPointsUpdated($event)">
        </sketch-canvas>

        <ink-recognition-form id="ink-recognition-form" url.bind="azureInfos.url" key.bind="azureInfos.key">
        </ink-recognition-form>
      </div>
    </div>
  </div>

  <div class="flex-row">

    <div class="flex-item">
      <ink-recognition-list recognitions.to-view="recognitions"></ink-recognition-list>
    </div>
  </div>

</template>
